Page 1 of 1

PHP5 + Zend Optimizer

Posted: 2006/10/26 12:44:42
by thim
We also want to secure our php script using Zend Encoder.
There for we need to install Zend Optimizer on our.

I followed an zend howto, but again no success.

It kept complaining something about [code]Failed loading /usr/local/Zend/lib/Optimizer-3.0.2/php-5.0.x/ZendOptimizer.so:
+/usr/local/Zend/lib/Optimizer-3.0.2/php-5.0.x/ZendOptimizer.so: undefined
+symbol: match[/code]

Is there anybody who got it working on a Centos 4.4 with apache 2 and PHP5 (installed through yum via centosplus repo)

Any help or pointers are welcome.

Re: PHP5 + Zend Optimizer

Posted: 2006/10/30 13:38:27
by thim
Ok I fixed it.

The problem lies in the 3.02 version of zend optimizer. This version is not compatible with Centos 4.4 (PHP5) (maybe also others distro's). It causes errors like the one i mentioned before.

I took the 3.01 version, followed the installer. And everything just went fine.

The Zend Optimizer is working perfect now.

Re: PHP5 + Zend Optimizer

Posted: 2006/10/30 15:53:45
by jasonxoxide
There are a lot of compatibility issues with PHP 5.0.x. You should either rebuild the 5.1.4 src.rpms from FC5, the 5.1.6 src.rpms from FC6, or roll back to 4.x